Хостинг серверов Minecraft playvds.com
  1. Этот сайт использует файлы cookie. Продолжая пользоваться данным сайтом, Вы соглашаетесь на использование нами Ваших файлов cookie. Узнать больше.
  2. Вы находитесь в русском сообществе Bukkit. Мы - администраторы серверов Minecraft, разрабатываем собственные плагины и переводим на русский язык плагины наших собратьев из других стран.
    Скрыть объявление
  3. Данный раздел создан исключительно для релизов! Вопросы по лаунчеру или обвязке задавайте ТОЛЬКО в соответсвующей теме автора. Любые другие темы будут удалены, а авторы понесут наказание.

Лаунчер Sashok724 Launcher (Modification)

Тема в разделе "Веб-обвязки и лаунчеры", создана пользователем DragoSFire, 11 апр 2014.

  1. RainbowWarriorppp

    RainbowWarriorppp Активный участник Пользователь

    Баллы:
    66
    Имя в Minecraft:
    Rainbow
    Подскажите как можно изменить список серверов? Мне нужно вместо комбобокса вставить прокручивающийся список.
     
  2. Mr Hosting
  3. alexandrage

    alexandrage Старожил Пользователь

    Баллы:
    173
    Нету такого. Придется код самому писать.
     
  4. RainbowWarriorppp

    RainbowWarriorppp Активный участник Пользователь

    Баллы:
    66
    Имя в Minecraft:
    Rainbow
    Я в Java чуть больше, чем нуль. Можно хоть подсказку полезную? Или идти изучать Java с нуля ради одного комбо бокса? Очень уж необходим этот прокручивающийся список серверов.
     
  5. alexandrage

    alexandrage Старожил Пользователь

    Баллы:
    173
    +
     
  6. Googlemann

    Googlemann Новичок

    Баллы:
    6
    Имя в Minecraft:
    JustLand
    Что делать если выдаёт ошибку


    [05:13:37] [Launcher thread/WARN]: ���� ������ ���� 16 ��������
    java.lang.NullPointerException
    at java.io.ByteArrayInputStream.<init>(ByteArrayInputStream.java:106)
    at sun.misc.CharacterEncoder.encode(CharacterEncoder.java:188)
    at net.launcher.utils.ThreadUtils.encrypt(ThreadUtils.java:792)
    at net.launcher.utils.ThreadUtils$2.run(ThreadUtils.java:74)
     
  7. Otto61

    Otto61 Активный участник Пользователь

    Баллы:
    61
    Что-то я ничего не понял из темы. Это твои личные доработки или просто тема с описанием?:ninja:
     
    Последнее редактирование: 3 мар 2017
  8. alexandrage

    alexandrage Старожил Пользователь

    Баллы:
    173
    Раньше так и было. Теперь ссылка на мой гитхаб.
     
  9. megaland

    megaland Ньюби

    Баллы:
    1
    Skype:
    varvar_igor
    Имя в Minecraft:
    Daenjel85
    Не могу переключить игру на русский язык, все собрал, все конектится, все красиво, но один косяк, игра на английском языке, в списке языков нету ни одного языка, какие только руссификаторы не пытался, и в текстурах и т.д, меня игра культурно посылает, может кто сталкивался и знает как на русский переключить?
     
  10. Morok

    Morok Активный участник Пользователь

    Баллы:
    88
    Имя в Minecraft:
    MorokMC
    Если версия 1.11, то в папке assets\indexes\ надо обновить файл до соответсвующей версии, для 1.11 он почему то такой же как и на 1.10
     
  11. alexandrage

    alexandrage Старожил Пользователь

    Баллы:
    173
    Это норма, если асетс не обновлялся. Хотя можно копирнуть и переименовать.
     
  12. Otto61

    Otto61 Активный участник Пользователь

    Баллы:
    61
    Сашок, есть интересный вопрос. Хочу ServerbarStyle наложить поверх ComboboxStyle. Ато ServerbarStyle под ComboboxStyle заходит.
     
  13. Morok

    Morok Активный участник Пользователь

    Баллы:
    88
    Имя в Minecraft:
    MorokMC
    В официальном лаунчере файл отличается, так что проблема именно у тебя в несоответствии ассетс 1.11, по крайней мере мне помогло обновление индекса из оф. лаунчера, чтобы заработало переключение языков.
     
  14. alexandrage

    alexandrage Старожил Пользователь

    Баллы:
    173
    Все возможно, для чего выложил труелаунчер дампер. Ибо я могу не уследить.
    Хотя звуки работали с таким конфигом точно vanilla111, localhost, 25565, 1.11.0<::>
    Ну значит пора дампить свежие асеты.
    Ну и заодно залил 1.11.2.
     
    Последнее редактирование: 13 мар 2017
  15. demkom

    demkom Guest

    В чем может быть проблема?
    Жму скачать оно скачиваеться, презапускаеться но опять требует обновится.
    [​IMG]
    РЕШЕНО: Заново собрал веб часть, заработало. Так и не понял в чем была проблема.
     
    Последнее редактирование модератором: 17 мар 2017
  16. Oxword

    Oxword Активный участник Пользователь

    Баллы:
    76
    такая же проблема,вроде бы выпил createZIP не помогло
     
  17. alexandrage

    alexandrage Старожил Пользователь

    Баллы:
    173
    Просто нужно было поменять папку mods на config в моде. Пруфит.
     
  18. Oxword

    Oxword Активный участник Пользователь

    Баллы:
    76
    А в каком классе это не подскажите?
     
  19. Вячеслав Иванов

    Вячеслав Иванов Активный участник Пользователь

    Баллы:
    66
    Имя в Minecraft:
    Catch
    Что делать, если при создании любого лаунчера(Ну измена исходников) вечная авторизация, спрашивал у Java скриптеров, они говорят проверь внешний доступ к бд, я его включил, убрались ошибки в лаунчере, а вечная авторизация осталась.(Соединение с сайтом есть)
     
  20. LeonardoDaVinci

    LeonardoDaVinci Активный участник Пользователь

    Баллы:
    76
    Ошибка при запуске клиента. nvd3dumx.dll_unloaded Что делать помоги)
     
  21. dimchikdolmatov

    dimchikdolmatov Участник Пользователь

    Баллы:
    31
    Имя в Minecraft:
    _CooL_MaN_
    Вот такая проблема
    [11:51:05] [Thread-12/INFO]: Loading tweak class name com.mumfrey.liteloader.launch.LiteLoaderTweaker
    [11:51:05] [Thread-12/INFO]: Using primary tweak class name com.mumfrey.liteloader.launch.LiteLoaderTweaker
    [11:51:05] [Thread-12/INFO]: Loading tweak class name cpw.mods.fml.common.launcher.FMLTweaker
    [11:51:05] [Thread-12/INFO]: Calling tweak class com.mumfrey.liteloader.launch.LiteLoaderTweaker
    [11:51:05] [Thread-12/INFO]: Bootstrapping LiteLoader 1.7.10
    [11:51:06] [Thread-12/INFO]: Registering API provider class com.mumfrey.liteloader.client.api.LiteLoaderCoreAPIClient
    [11:51:06] [Thread-12/INFO]: Spawning API provider class 'com.mumfrey.liteloader.client.api.LiteLoaderCoreAPIClient' ...
    [11:51:06] [Thread-12/INFO]: API provider class 'com.mumfrey.liteloader.client.api.LiteLoaderCoreAPIClient' provides API 'liteloader'
    [11:51:06] [Thread-12/INFO]: Initialising API 'liteloader' ...
    [11:51:06] [Thread-12/INFO]: LiteLoader begin PREINIT...
    [11:51:06] [Thread-12/INFO]: Initialising Loader properties...
    [11:51:06] [Thread-12/INFO]: Setting up logger...
    [11:51:06] [Thread-12/INFO]: LiteLoader 1.7.10_03 starting up...
    [11:51:06] [Thread-12/INFO]: Java reports OS="windows 8.1"
    [11:51:06] [Thread-12/INFO]: Enumerating class path...
    [11:51:06] [Thread-12/INFO]: Class path separator=";"
    [11:51:06] [Thread-12/INFO]: Class path entries=(
    classpathEntry=/C:/Users/Имякомпа/Desktop/ProjectJer(RAW).exe
    )
    [11:51:06] [Thread-12/INFO]: Registering discovery module EnumeratorModuleClassPath: [<Java Class Path>]
    [11:51:06] [Thread-12/INFO]: Registering discovery module EnumeratorModuleFolder: [C:\ProjectJer\Hi-Tech\mods]
    [11:51:06] [Thread-12/INFO]: Registering discovery module EnumeratorModuleFolder: [C:\ProjectJer\Hi-Tech\mods\1.7.10]
    [11:51:06] [Thread-12/INFO]: Adding supported mod class prefix 'LiteMod'
    [11:51:06] [Thread-12/INFO]: Discovering tweaks on class path...
    [11:51:06] [Thread-12/INFO]: Discovering valid mod files in folder C:\ProjectJer\Hi-Tech\mods
    [11:51:06] [Thread-12/INFO]: Discovering valid mod files in folder C:\ProjectJer\Hi-Tech\mods\1.7.10
    [11:51:06] [Thread-12/INFO]: Searching for tweaks in 'CodeChickenLib-1.7.10-1.1.3.138-universal.jar'
    [11:51:06] [Thread-12/WARN]: Error parsing manifest entries in 'C:\ProjectJer\Hi-Tech\mods\1.7.10\CodeChickenLib-1.7.10-1.1.3.138-universal.jar'
    [11:51:06] [Thread-12/INFO]: LiteLoader PREINIT complete
    [11:51:06] [Thread-12/INFO]: Sorting registered packet transformers by priority
    [11:51:06] [Thread-12/INFO]: Added 0 packet transformer classes to the transformer list
    [11:51:06] [Thread-12/INFO]: Injecting required class transformer 'com.mumfrey.liteloader.transformers.event.EventProxyTransformer'
    [11:51:06] [Thread-12/INFO]: Injecting required class transformer 'com.mumfrey.liteloader.launch.LiteLoaderTransformer'
    [11:51:06] [Thread-12/INFO]: Injecting required class transformer 'com.mumfrey.liteloader.client.transformers.CrashReportTransformer'
    [11:51:06] [Thread-12/INFO]: Queuing required class transformer 'com.mumfrey.liteloader.client.transformers.LiteLoaderCallbackInjectionTransformer'
    [11:51:06] [Thread-12/INFO]: Queuing required class transformer 'com.mumfrey.liteloader.client.transformers.LiteLoaderEventInjectionTransformer'
    [11:51:06] [Thread-12/INFO]: Queuing required class transformer 'com.mumfrey.liteloader.client.transformers.MinecraftOverlayTransformer'
    [11:51:06] [Thread-12/INFO]: Calling tweak class cpw.mods.fml.common.launcher.FMLTweaker
    [11:51:06] [Thread-12/INFO]: Forge Mod Loader version 7.99.40.1614 for Minecraft 1.7.10 loading
    [11:51:06] [Thread-12/INFO]: Java is Java HotSpot(TM) 64-Bit Server VM, version 1.8.0_131, running on Windows 8.1:amd64:6.3, installed at C:\Program Files\Java\jre1.8.0_131
    [11:51:06] [Thread-12/INFO]: [AppEng] Core Init
    [11:51:06] [Thread-12/WARN]: The coremod codechicken.core.launch.CodeChickenCorePlugin does not have a MCVersion annotation, it may cause issues with this version of Minecraft
    [11:51:06] [Thread-12/WARN]: The coremod cofh.asm.LoadingPlugin does not have a MCVersion annotation, it may cause issues with this version of Minecraft
    [11:51:06] [Thread-12/INFO]: Loading tweaker cpw.mods.fml.common.launcher.FMLTweaker from forge-1.7.10-10.13.2.1291-universal.jar
    [11:51:07] [Thread-12/WARN]: The coremod ic2.core.coremod.IC2core does not have a MCVersion annotation, it may cause issues with this version of Minecraft
    [11:51:07] [Thread-12/WARN]: The coremod invtweaks.forge.asm.FMLPlugin does not have a MCVersion annotation, it may cause issues with this version of Minecraft
    [11:51:07] [Thread-12/WARN]: The coremod codechicken.nei.asm.NEICorePlugin does not have a MCVersion annotation, it may cause issues with this version of Minecraft
    [11:51:07] [Thread-12/WARN]: The coremod openmods.core.OpenModsCorePlugin does not have a MCVersion annotation, it may cause issues with this version of Minecraft
    [11:51:07] [Thread-12/INFO]: Loading tweak class name cpw.mods.fml.common.launcher.FMLInjectionAndSortingTweaker
    [11:51:07] [Thread-12/WARN]: Tweak class name cpw.mods.fml.common.launcher.FMLTweaker has already been visited -- skipping
    [11:51:07] [Thread-12/INFO]: Loading tweak class name cpw.mods.fml.common.launcher.FMLDeobfTweaker
    [11:51:07] [Thread-12/INFO]: Calling tweak class cpw.mods.fml.common.launcher.FMLInjectionAndSortingTweaker
    [11:51:07] [Thread-12/INFO]: Calling tweak class cpw.mods.fml.common.launcher.FMLInjectionAndSortingTweaker
    [11:51:07] [Thread-12/INFO]: Calling tweak class cpw.mods.fml.relauncher.CoreModManager$FMLPluginWrapper
     

Поделиться этой страницей